package mx.edu.uaz.vista;

import com.vaadin.annotations.AutoGenerated;
import com.vaadin.annotations.DesignRoot;
import com.vaadin.ui.declarative.Design;
import com.vaadin.ui.CssLayout;
import com.vaadin.ui.Button;
import com.vaadin.ui.ComboBox;
import com.vaadin.ui.CheckBox;
import com.vaadin.ui.NativeSelect;

/**
 * !! DO NOT EDIT THIS FILE !!
 * <p>
 * This class is generated by Vaadin Designer and will be overwritten.
 * <p>
 * Please make a subclass with logic and additional interfaces as needed,
 * e.g class LoginView extends LoginDesign implements View { }
 */
@DesignRoot
@AutoGenerated
@SuppressWarnings("serial")
public class FormularioDesigner extends CssLayout {
    protected ComboBox<String> cbo_mun1;
    protected ComboBox<mx.edu.uaz.modelo.Colonia> cbo_col1;
    protected CheckBox check_manana1;
    protected NativeSelect<Integer> cbo_cal_m1;
    protected CheckBox check_tarde1;
    protected NativeSelect<Integer> cbo_cal_t1;
    protected CheckBox check_noche1;
    protected NativeSelect<Integer> cbo_cal_n1;
    protected CheckBox check_madrugada1;
    protected NativeSelect<Integer> cbo_cal_mad1;
    protected ComboBox<String> cbo_mun2;
    protected ComboBox<mx.edu.uaz.modelo.Colonia> cbo_col2;
    protected CheckBox check_manana2;
    protected NativeSelect<Integer> cbo_cal_m2;
    protected CheckBox check_tarde2;
    protected NativeSelect<Integer> cbo_cal_t2;
    protected CheckBox check_noche2;
    protected NativeSelect<Integer> cbo_cal_n2;
    protected CheckBox check_madrugada2;
    protected NativeSelect<Integer> cbo_cal_mad2;
    protected ComboBox<String> cbo_mun3;
    protected ComboBox<mx.edu.uaz.modelo.Colonia> cbo_col3;
    protected CheckBox check_manana3;
    protected NativeSelect<Integer> cbo_cal_m3;
    protected CheckBox check_tarde3;
    protected NativeSelect<Integer> cbo_cal_t3;
    protected CheckBox check_noche3;
    protected NativeSelect<Integer> cbo_cal_n3;
    protected CheckBox check_madrugada3;
    protected NativeSelect<Integer> cbo_cal_mad3;
    protected ComboBox<String> cbo_mun4;
    protected ComboBox<mx.edu.uaz.modelo.Colonia> cbo_col4;
    protected CheckBox check_manana4;
    protected NativeSelect<Integer> cbo_cal_m4;
    protected CheckBox check_tarde4;
    protected NativeSelect<Integer> cbo_cal_t4;
    protected CheckBox check_noche4;
    protected NativeSelect<Integer> cbo_cal_n4;
    protected CheckBox check_madrugada4;
    protected NativeSelect<Integer> cbo_cal_mad4;
    protected Button btnEnviar;

    public FormularioDesigner() {
        Design.read(this);
    }
}
